

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Overview &mdash; sphinxDoc 0.0.1 documentation</title>
  

  
  
  
  

  

  
  
    

  

  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Getting Started" href="getting_started.html" />
    <link rel="prev" title="Sphinx documentation" href="../index.html" /> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> sphinxDoc
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Overview</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#setup-and-installations">Setup and Installations</a></li>
<li class="toctree-l2"><a class="reference internal" href="#themes">Themes</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="render_pdf.html">Render PDF from RST</a></li>
<li class="toctree-l1"><a class="reference internal" href="../restructured/index.html">reStructuredText</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">sphinxDoc</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
      <li>Overview</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/sphinxTut/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="overview">
<span id="id1"></span><h1>Overview<a class="headerlink" href="#overview" title="Permalink to this headline">¶</a></h1>
<p><strong>Sphinx</strong> is a tool that makes it easy to create intelligent and beautiful documentation.
It has excellent facilities for the documentation of software projects in a range of languages
and is created from reStructuredText sources.</p>
<p><strong>reStructuredText</strong></p>
<ul class="simple">
<li>Default plaintext markup language used by Sphinx</li>
<li>RST or ReST (Restructed Text), human readable nature, that makes it useful to include our source code</li>
<li>Can also be interpreted into pdf, html</li>
<li>Provides an easy-to-read, what-you-see-is-what-you-get plaintext markup syntax and parser system</li>
<li>RST syntax is sensitive to indentation ! and requires blank lines between paragraphs</li>
</ul>
<p><em>(Sphinx uses reStructuredText as its markup language. Many of its strengths come from the power and straightforwardness of reStructuredText and its parsing and translating suite, the Docutils).</em></p>
<p><strong>readthedocs.org</strong> hosts a lot of Sphinx docs already, and integrates well with projects’ source control.
It also features a powerful built-in search that exceeds the possibilities of Sphinx’ JavaScript-based offline search.</p>
<div class="section" id="setup-and-installations">
<h2>Setup and Installations<a class="headerlink" href="#setup-and-installations" title="Permalink to this headline">¶</a></h2>
<p><strong>Install Python</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ apt-get install python-sphinx python-setuptools
$ pip install --upgrade python
$ python --version
</pre></div>
</div>
<p><strong>Install pip</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ easy_install pip or,
$ apt install python-pip

$ pip install --upgrade pip
$ pip --version
</pre></div>
</div>
<p><strong>Install Sphinx using pip</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ pip install -U sphinx /

$ pip install sphinx --upgrade
$ pip install sphinx sphinx-autobuild sphinx_rtd_theme sphinxcontrib-phpdomain
</pre></div>
</div>
<p><strong>Install PHP Domain</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ sudo pip install sphinxcontrib-phpdomain or,
$ sudo easy_install -U sphinxcontrib-phpdomain
</pre></div>
</div>
<p><em>Also, add an extension to conf.py</em></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">extensions</span> <span class="o">=</span> <span class="p">[</span><span class="s2">&quot;sphinxcontrib.phpdomain&quot;</span><span class="p">]</span>
</pre></div>
</div>
</div>
<div class="section" id="themes">
<h2>Themes<a class="headerlink" href="#themes" title="Permalink to this headline">¶</a></h2>
<p>Sphinx supports changing the appearance of its HTML output via themes.
A theme is a collection of HTML templates, stylesheets.</p>
<p><strong>readthedocs theme</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ pip install sphinx_rtd_theme
</pre></div>
</div>
<p>Add an extension to <strong>conf.py</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">html_theme</span> <span class="o">=</span> <span class="s2">&quot;sphinx_rtd_theme&quot;</span>
</pre></div>
</div>
<p>Read more: <a class="reference external" href="http://www.sphinx-doc.org/en/master/theming.html">Sphinx - HTML Theming support</a></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="getting_started.html" class="btn btn-neutral float-right" title="Getting Started" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="../index.html" class="btn btn-neutral" title="Sphinx documentation" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2018, Rijju Maharjan.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'0.0.1',
            LANGUAGE:'None',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>

  

  <script type="text/javascript" src="../_static/js/theme.js"></script>

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>